MoreTextInternal::Paragraph Struct Referencefinal

Internal: the paragraph of a MoreText. More...

Inheritance diagram for MoreTextInternal::Paragraph:

## Public Member Functions
| Paragraph ()
| constructor
| Paragraph (Paragraph const &)=default
Paragraph & | operator= (Paragraph const &)=default
| ~Paragraph () final
| destructor
void | setLeftMargin (double margin, bool fromParent)
| set the left margin in inch
void | setRightMargin (double margin, bool fromParent)
| set the right margin in inch
void | updateToFinalState (MWAWParagraph const &parent, int level, MWAWListManager &listManager)
| update the paragraph to obtain the final paragraph
Public Member Functions inherited from MWAWParagraph
| MWAWParagraph ()
| constructor
| MWAWParagraph (MWAWParagraph const &)=default
MWAWParagraph & | operator= (MWAWParagraph const &)=default
MWAWParagraph & | operator= (MWAWParagraph &&)=default
virtual | ~MWAWParagraph ()
| destructor
bool | operator== (MWAWParagraph const &p) const
| operator==
bool | operator!= (MWAWParagraph const &p) const
| operator!=
int | cmp (MWAWParagraph const &p) const
| a comparison function
double | getMarginsWidth () const
| return the paragraph margin width (in inches)
bool | hasBorders () const
| check if the paragraph has some borders
bool | hasDifferentBorders () const
| check if the paragraph has different borders
void | resizeBorders (size_t newSize)
| a function used to resize the borders list ( adding empty borders if needed )
void | setInterline (double value, librevenge::RVNGUnit unit, LineSpacingType type=Fixed)
| set the interline
void | addTo (librevenge::RVNGPropertyList &propList, bool inTable) const
| add to the propList
void | insert (MWAWParagraph const &para)
| insert the set values of para in the actual paragraph

## Public Attributes
double | m_marginsFromParent [2]
| the left and right margins from parent in inches
int | m_listType
| the list type (0: none, 1: leader, ...)
MWAWListLevel | m_customListLevel
| a custom list level ( only defined if m_listType>=0xb)
bool | m_pageBreak
| true if we need to add a page break before
bool | m_keepOutlineTogether
| true if we need to keep outline together
Public Attributes inherited from MWAWParagraph
MWAWVariable< double > | m_margins [3]
| the margins
MWAWVariable< librevenge::RVNGUnit > | m_marginsUnit
| the margins INCH, ...
MWAWVariable< double > | m_spacings [3]
| the line spacing
MWAWVariable< librevenge::RVNGUnit > | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ...
MWAWVariable< LineSpacingType > | m_spacingsInterlineType
| the interline type: fixed, atLeast, ...
MWAWVariable< std::vector< MWAWTabStop > > | m_tabs
| the tabulations
MWAWVariable< bool > | m_tabsRelativeToLeftMargin
| true if the tabs are relative to left margin, false if there are relative to the page margin (default)
MWAWVariable< Justification > | m_justify
| the justification
MWAWVariable< int > | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after)
MWAWVariable< libmwaw::WritingMode > | m_writingMode
| the writing mode
MWAWVariable< int > | m_listLevelIndex
| the actual level index
MWAWVariable< int > | m_listId
| the list id (if know )
MWAWVariable< int > | m_listStartValue
| the list start value (if set )
MWAWVariable< MWAWListLevel > | m_listLevel
| the actual level
MWAWVariable< MWAWColor > | m_backgroundColor
| the background color
std::vector< MWAWVariable< MWAWBorder > > | m_borders
| list of border ( order MWAWBorder::Pos)
MWAWVariable< int > | m_dropNumCharacters
| the drop number character
MWAWVariable< int > | m_dropNumLines
| the drop number of lines
std::string | m_styleName
| the style name
std::string | m_extra
| a string to store some errors

## Additional Inherited Members
Public Types inherited from MWAWParagraph
enum | { NoBreakBit = 0x1 , NoBreakWithNextBit =0x2 }
| some bit use to defined the break status More...
enum | Justification { JustificationLeft , JustificationFull , JustificationCenter , JustificationRight , JustificationFullAllLines }
| an enum used to defined the paragraph justification: left, center, right, full ... More...
enum | LineSpacingType { Fixed , AtLeast }
| the line spacing type: fixed or at least More...

## Detailed Description

Internal: the paragraph of a MoreText.

## Constructor & Destructor Documentation

## ◆ Paragraph() [1/2]

MoreTextInternal::Paragraph::Paragraph | ( |  | ) |
| inline

constructor

Referenced by operator=(), and Paragraph().

## ◆ Paragraph() [2/2]

MoreTextInternal::Paragraph::Paragraph | ( | Paragraph const & |  | ) |
| default

## ◆ ~Paragraph()

MoreTextInternal::Paragraph::~Paragraph | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ operator=()

Paragraph & MoreTextInternal::Paragraph::operator= | ( | Paragraph const & |  | ) |
| default

## ◆ setLeftMargin()

void MoreTextInternal::Paragraph::setLeftMargin | ( | double | margin,
|  | bool | fromParent )
| inline

set the left margin in inch

Referenced by setLeftMargin().

## ◆ setRightMargin()

void MoreTextInternal::Paragraph::setRightMargin | ( | double | margin,
|  | bool | fromParent )
| inline

set the right margin in inch

## ◆ updateToFinalState()

void MoreTextInternal::Paragraph::updateToFinalState | ( | MWAWParagraph const & | parent,
|  | int | level,
|  | MWAWListManager & | listManager )
| inline

update the paragraph to obtain the final paragraph

Referenced by MoreText::sendTopic().

## Member Data Documentation

## ◆ m_customListLevel

MWAWListLevel MoreTextInternal::Paragraph::m_customListLevel

a custom list level ( only defined if m_listType>=0xb)

Referenced by Paragraph(), and updateToFinalState().

## ◆ m_keepOutlineTogether

bool MoreTextInternal::Paragraph::m_keepOutlineTogether

true if we need to keep outline together

Referenced by Paragraph().

## ◆ m_listType

int MoreTextInternal::Paragraph::m_listType

the list type (0: none, 1: leader, ...)

Referenced by Paragraph(), MoreText::sendTopic(), and updateToFinalState().

## ◆ m_marginsFromParent

double MoreTextInternal::Paragraph::m_marginsFromParent[2]

the left and right margins from parent in inches

Referenced by Paragraph(), setLeftMargin(), setRightMargin(), and updateToFinalState().

## ◆ m_pageBreak

bool MoreTextInternal::Paragraph::m_pageBreak

true if we need to add a page break before

Referenced by Paragraph().

The documentation for this struct was generated from the following file:

- MoreText.cxx